%global momorel 1

Summary: The GNU versions of find utilities (find and xargs)
Name: findutils
Version: 4.6.0
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/File
URL: http://www.gnu.org/directory/findutils.html
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
# do not build locate
Patch1: findutils-4.5.15-no-locate.patch

# add a new option -xautofs to find to not descend into directories on autofs
# file systems
Patch3: findutils-4.4.2-xautofs.patch

# eliminate compile-time warnings
Patch4: findutils-4.5.13-warnings.patch

# implement the -noleaf option of find (#1252549)
Patch8: findutils-4.5.15-leaf-opt.patch

Requires(post): info
Requires(preun): info
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: /bin/find
Provides: bundled(gnulib)

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%package locate
Summary: The GNU version of locate utilities (locate and updatedb)
Group: Applications/File

%description locate
The findutils package contains programs which will help you locate
files on your system.  The locate utility seatch files and directory
with locate database.  The updatedb utility create locate database.
These filenames have "g_" prefix, because Secure Locate has some
programs that has same names.

You must not run these programs with superuser if you do not want to
be seen filenames from any users.  Please run:
$ mkdir $HOME/var
$ g_updatedb  --localpaths=$HOME --output=$HOME/var/locatedb
and then run:
$ g_locate --database=$HOME/var/locatedb "any options and argments"
$ g_locate --database=$HOME/var/locatedb --statistics
You can set environment variable "LOCATE_PATH" to locatedb for g_locate..

%prep
%setup -q
rm -rf locate 
%patch1 -p1 
%patch3 -p1
%patch4 -p1
%patch8 -p1

# needed because of findutils-4.4.0-no-locate.patch
autoreconf -iv

%build
%configure

make %{?_smp_mflags}

%check
make check |:

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%post
if [ -f %{_infodir}/find.info.gz ]; then
  /sbin/install-info %{_infodir}/find.info.bz2 %{_infodir}/dir || :
fi

%preun
if [ $1 = 0 ]; then
  if [ -f %{_infodir}/find.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/find.info.bz2 %{_infodir}/dir || :
  fi
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS TODO ChangeLog
%{_bindir}/find
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find.info*
%{_infodir}/find-maint.info.*

%changelog
* Sun Jan 03 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.0-1m)
- update 4.6.0

* Sat Mar 01 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.12-1m)
- update 4.5.12
- remove locate package

* Sun Sep 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.10-2m)
- add patch from Fedora to fix build failure

* Thu Aug 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.10-1m)
- update to 4.5.10

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.4.2-6m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.4.2-5m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-4m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-3m)
- use Requires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Jun  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (4.4.2-1m)
- update to 4.4.2

* Sun May  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.1-1m)
- update to 4.4.1
- License: GPLv3+

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.0-4m)
- rebuild against rpm-4.6

* Fri May  2 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-3m)
- Move find to /bin for upstart

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-2m)
- rebuild against gcc43

* Sun Mar 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.0-1m)
- update to 4.4.0

* Fri Feb 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.33-1m)
- update to 4.2.33
- License: GPLv3

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.2.31-2m)
- %%NoSource -> NoSource

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.31-1m)
- update to 4.2.31
- [SECURITY] CVE-2007-2452, GNU locate heap buffer overrun

* Thu Jan  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.29-1m)
- update to 4.2.29

* Sun May 14 2006 NARITA Koichi <Pulsar@sea.plala.or.jp>
- (4.2.27-1m)
- update to 4.2.27

* Tue Sep  6 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.25-1m)
- update to 4.2.25
- add locate packate.

* Thu Feb 21 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.2.15-1m)
  update to 4.2.15

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.1.7-7m)
- remove Epoch

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (4.1.7-6m)
- revised spec for enabling rpm 4.2.

* Fri Jul 19 2002 Masahiro Takahata <takahata@momong-linux.org>
- (4.1.7-5m)
- sourcefile add in cvs

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (4.1.7-4k)
- /sbin/install-info -> info in PreReq.

* Thu Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (4.1.7-2k)
- up to 4.1.7 (sync with rawhide 4.1.7-1)

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Mar 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Thu Feb  8 2001 Preston Brown <pbrown@redhat.com>
- remove extraneous linking to librt/libpthreads.

* Tue Oct 17 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 4.1.6

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- revert to 4.1.5 ( :) ) on the advice of HJ Lu
- patch to fix finding w/ -perm flag

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- revert to 4.1.4
- reapply numblks patch
- generate new nolocate patch, we don't ship it.

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 4.1.5, FHS paths
- remove mktemp,getshort patches (don't ship locate)
- alpha, numblks patch no longer needed

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 4.1.4
- remove some obsolete patches, adapt others
- fix build on alpha

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix summary
- ma  pages are compressed

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- new description.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- fixed block count bug (# 2141)

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- patch to fix xargs out of bounds overflow (bug # 1279)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 30)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- remove further updatedb remnants (#1072).

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for glibc21

* Mon Nov 16 1998 Erik Troan <ewt@redhat.com>
- removed locate stuff (as we now ship slocate)

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- updated updatedb cron script to not look for $TMPNAME.n (which was
  a relic anyway)
- added -b parameters to all of the patches

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- make updatedb.cron use mktemp correctly
- make updatedb use mktemp

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- nobody should own tmpfile
- ignore /net

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron do a better job of cleaning up after itself.

* Tue Oct 28 1997 Donald Barnes <djb@redhat.com>
- fixed 64 bit-ism in getline.c, patch tacked on to end of glibc one

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot support

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron work even if "nobody" can't read /root
- use mktemp in updatedb.cron

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed updatedb.cron
